# GenericDocumentResults class

Inheritance
  - Object
  - Result
  - GenericDocumentResults
Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: false, createToJson: false)

## Constructors

GenericDocumentResults(List<GenericDocument> documents)
GenericDocumentResults.canceled()
GenericDocumentResults.error(String message)
GenericDocumentResults.fromGenericDocumentResults(GenericDocumentResults results)
  factory
GenericDocumentResults.fromJson(Map<String, dynamic> json)
  factory

## Properties

documents ↔ List<GenericDocument>
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
message ↔ String?
  Message with description of returned result, for example, error message
  getter/setter pair inherited
operationResult ↔ OperationResult?
  Standard result status
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited